These are chat archives for spyder-ide/public

29th
May 2018
Makarov Andrey
@Winand
May 29 2018 10:56
oh no. I've updated anaconda yesterday, and now I have the same problem which I had earlier with Spyder in WinPython. There's some incompatibility with Yandex Punto Switcher (it fixes wrong keyboard layout while you type). When i press Break to switch layout of a previously typed word Spyder freezes completely.
I already had spyder 3.2.8 but updated all other packages with conda update --all :-|
Carlos Cordoba
@ccordoba12
May 29 2018 15:32

@Winand, please downgrade PyQt and try again:

conda install pyqt=5.6

Makarov Andrey
@Winand
May 29 2018 17:11
@ccordoba12 yes, it's been my first action. Now python crashes on importing QtWidgets. On another PC i have qt5.6.2 and it works fine, so i'm going to install the same versions of all other packages in the broken environment.
Carlos Cordoba
@ccordoba12
May 29 2018 17:15
Ok
Makarov Andrey
@Winand
May 29 2018 17:34
I downgraded sip 4.19.8->4.18.1 and it stopped crashing. I'll never forget it:-D
and compatibility issues have gone. So the problem is within qt/pyqt5.9?
Carlos Cordoba
@ccordoba12
May 29 2018 18:06
Yeah, I'd say so, specifically with the change between QtWebkit and QtWebengine